请问怎样从Docker 1.4.1升级到Docker 1.5.0

已邀请:

许四两 - 北京数字安全公司运维工程师

赞同来自: 刚百 wangzi19870227


wget https://get.docker.io/builds/L ... atest -O docker
停止docker,然后cp到/usr/bin/docker

shlallen - DaoCloud软件工程师,合伙人

赞同来自: jamlee


虽然docker官方建议的安装命令为sudo apt-get install lxc-docker(当然这之前还有不少的安装和配置),

但是我一般都习惯于安装指定版本,如安装1.4.1时使用命令sudo apt-get install lxc-docker-1.4.1,安装1.5.0的话就卸掉,直接使用命令sudo apt-get install lxc-docker-1.5.0

或许对你的问题帮助不大

如果你清楚了如何直接升级,也请留言通知哈

tommy - 京东-南京云计算研发中心

赞同来自: 吴锦晟


如果在已经run的容器均不受影响的情况下升级dockerd,不知是否有好的想法

KiwenLau

赞同来自:


ubuntu:

apt-get update && apt-get install -y lxc-docker

docker_god - 用简单的设计打造稳定

赞同来自:


也可以下载RPM包,直接安装,需要先卸载当前版本。

以下是1.3升级1.4的过程,1.5也是一样的。

卸载该版本:rpm -e docker-io-1.3.2-2.el6.x86_64

warning: /etc/sysconfig/docker saved as /etc/sysconfig/docker.rpmsave

安装新的版本:rpm -ivh docker-io-1.4.1-3.el6.x86_64.rpm

1.5版本下载:
http://rpmfind.net/linux/rpm2h ... ocker

要回复问题请先登录注册